Extrusion is propagation of the selected base shape in a certain direction and by a certain distance.
The Result of the operation will be a GEOM_Object (edge, face, shell solid or compsolid).
Examples:
To generate an Extrusion on an object in the Main Menu select New Entity - > Generation - > Extrusion
The following parameters and options can be defined in this dialog
Direction and distance can be defined in three different ways selectable with the radio buttons on top of the dialog box :
By the Vector and the Height of extrusion. TUI Command: geompy.MakePrismVecH(Base, Vector, Height, theScaleFactor = -1.0)
By the Start and End Point of the Vector (in this way you don't need to create it in advance). TUI Command: geompy.MakePrism(Base, Point1, Point2, theScaleFactor = -1.0)
Add thickness checkbox and Thickess field allow adding thickness to the created prism (only when extruding an edge or wire). By default the material is added on the outside of the generated pipe, but it is possible to Thicken towards the inside using the corresponding checkbox. TUI Command: geompy.Thicken(Shape, Thickness)
Our TUI Scripts provide you with useful examples of creation of Complex Geometric Objects.